waffle.jaas

## Class GroupPrincipal

- java.lang.Object
- - waffle.jaas.UserPrincipal
  - - waffle.jaas.GroupPrincipal

All Implemented Interfaces:
  Serializable, Group, Principal

    public class GroupPrincipal
    extends UserPrincipal
    implements Group

Group principal.

Author:
  rockchip[dot]tv[at]gmail[dot]com
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GroupPrincipal(String fqn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addMember(Principal user)`
`String` `getName()` Fully qualified username.
`boolean` `isMember(Principal user)`
`Enumeration<? extends Principal>` `members()`
`boolean` `removeMember(Principal user)`
`String` `toString()`

### Methods inherited from class waffle.jaas.UserPrincipal

`equals, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`equals, hashCode, implies`

### Constructor Detail

#### GroupPrincipal

    public GroupPrincipal(String fqn)

### Method Detail

#### getName

    public String getName()

Description copied from class: `UserPrincipal`
Fully qualified username.

Specified by:
  `getName` in interface `Principal`
Overrides:
  `getName` in class `UserPrincipal`
Returns:
  the name

#### addMember

    public boolean addMember(Principal user)

Specified by:
  `addMember` in interface `Group`

#### isMember

    public boolean isMember(Principal user)

Specified by:
  `isMember` in interface `Group`

#### members

    public Enumeration<? extends Principal> members()

Specified by:
  `members` in interface `Group`

#### removeMember

    public boolean removeMember(Principal user)

Specified by:
  `removeMember` in interface `Group`

#### toString

    public String toString()

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`